Subject: Re: [PATCH v2 01/10] command-list.txt: sort with "LC_ALL=C sort"

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Oct 2021 11:29:53 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> We should keep these files sorted in the C locale, e.g. in the C
> locale the order is:
>
>     git-check-mailmap
>     git-check-ref-format
>     git-checkout
>
> But under en_US.UTF-8 it's:
>
>     git-check-mailmap
>     git-checkout
>     git-check-ref-format
>
> In a subsequent commit I'll change generate-cmdlist.sh to use C sort
> order, and without this change we'd be led to believe that that change
> caused a meaningful change in the output, so let's do this as a
> separate step, right now the generate-cmdlist.sh script just uses the
> order found in this file.

Hmph, I do not mind sorting this file bytewise like this at all, but
does the justification above still apply to this round?  I had an
impression that we lose the sorting altogether in the end...

Also, I am not sure where that "led to believe" comes from---do we
have a test that checks the output from generate-cmdlist somehow?